apiVersion: kustomize.config.k8s.io/v1beta1
commonLabels:
  app: postintegration-dispatcher
  context: production
images:
- name: gricad-registry.univ-grenoble-alpes.fr/osug/resif/amqp-dispatcher/amqp-dispatcher
  newTag: deb94898
kind: Kustomization
namePrefix: production-
namespace: production
patches:
  - patch: |- # Rename configmap
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: postintegration-dispatcher-deployment
      spec:
        template:
          spec:
            containers:
              - name: postintegration-dispatcher
                envFrom:
                  - configMapRef:
                      name: production-postintegration-dispatcher-configmap
  - patch: |- # Rename configMap
      apiVersion: apps/v1
      kind: Deployment
      metadata:
        name: postintegration-dispatcher-deployment
      spec:
        template:
          spec:
            volumes:
              - name: config
                configMap:
                  name: production-postintegration-dispatcher-configmap
replicas:
  - count: 1
    name: postintegration-dispatcher-deployment
resources:
  - ../../base
  - configmap.yaml
